# Class WsExtensionParameter

java.lang.Object
org.apache.tomcat.websocket.WsExtensionParameter

All Implemented Interfaces:
  `Extension.Parameter`

public class WsExtensionParameter extends Object implements Extension.Parameter
Implementation of WebSocket extension parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this parameter.
  `String`
  `getValue()`
  Returns the value of this parameter.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `jakarta.websocket.Extension.Parameter`
    Returns the name of this parameter.
    Specified by:
      `getName` in interface `Extension.Parameter`
    Returns:
      The parameter name

  - ### getValue

    public String getValue()
    Description copied from interface: `jakarta.websocket.Extension.Parameter`
    Returns the value of this parameter.
    Specified by:
      `getValue` in interface `Extension.Parameter`
    Returns:
      The parameter value